Package Details: perl-test-yaml-valid 0.04-1

Git Clone URL: https://aur.archlinux.org/perl-test-yaml-valid.git (read-only)
Package Base: perl-test-yaml-valid
Description: Test for valid YAML
Upstream URL: http://search.cpan.org/dist/Test-YAML-Valid
Licenses: GPL, PerlArtistic
Submitter: xenoterracide
Maintainer: jnbek
Last Packager: jnbek
Votes: 4
Popularity: 0.000000
First Submitted: 2010-05-28 04:40
Last Updated: 2015-06-16 22:06

Latest Comments

Freso commented on 2017-09-12 10:40

I get """Can't locate inc/Module/Install.pm in @INC (you may need to install the inc::Module::Install module) (@INC contains: /usr/lib/perl5/5.26/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/5.26/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/5.26/core_perl /usr/share/perl5/core_perl) at Makefile.PL line 3.
BEGIN failed--compilation aborted at Makefile.PL line 3.""" when I try and install this. Is this missing a dependency?

Edit: Actually looks like this bug: https://rt.cpan.org/Public/Bug/Display.html?id=120438 ? Maybe the patch attached there could be applied in the PKGBUILD?

Edit edit: I made a git patch ready for `git apply` here: https://gist.github.com/Freso/39c521ed7d2a69e4430624786e70a95f - I've tested this, and it now builds perfectly.